API Documentation
API Endpoints/Identities

Start a registration for a payment

POST
/identities/{identityReference}/{provider}/register
AuthorizationBasic <token>

Basic authentication is a simple authentication scheme built into the HTTP protocol. To use it, send your HTTP requests with an Authorization header that contains the word Basic followed by a space and a base64-encoded string username:password.Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

In: header

Path Parameters

identityReferencestring

Your identityReference

providerstring

Provider for the payment

Value in"mollie"
amountstring

Amount for the first payment registration.

callbackunknown

Callback URL to redirect customer after payment page.

Formatstring
methodstring

Payment method to use.

Value in"creditcard" | "paybybank" | "mybank"

Response Body

curl -X POST "https://staging1.abillify.dev/api/identities/string/mollie/register" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": "0.01",
    "callback": "https://merchant.com/payment/callback",
    "method": "creditcard"
  }'
const body = JSON.stringify({
  "amount": "0.01",
  "callback": "https://merchant.com/payment/callback",
  "method": "creditcard"
})

fetch("https://staging1.abillify.dev/api/identities/string/mollie/register", {
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "https://staging1.abillify.dev/api/identities/string/mollie/register"
  body := strings.NewReader(`{
    "amount": "0.01",
    "callback": "https://merchant.com/payment/callback",
    "method": "creditcard"
  }`)
  req, _ := http.NewRequest("POST", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://staging1.abillify.dev/api/identities/string/mollie/register"
body = {
  "amount": "0.01",
  "callback": "https://merchant.com/payment/callback",
  "method": "creditcard"
}
response = requests.request("POST", url, json = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
{
  "callback": "string",
  "transaction": 0
}
{
  "code": 400,
  "details": [
    {
      "error": "Value for field 'debtor' is of wrong type, expected bigint.",
      "fields": [
        "debtor"
      ],
      "hint": "Value must be a number or a string containing only a number."
    }
  ],
  "message": "InvalidValue, see error details",
  "name": "ClientError",
  "type": "ERR_INVALID_VALUE"
}
{
  "code": 400,
  "details": [
    {
      "error": "Value for field 'debtor' is of wrong type, expected bigint.",
      "fields": [
        "debtor"
      ],
      "hint": "Value must be a number or a string containing only a number."
    }
  ],
  "message": "InvalidValue, see error details",
  "name": "ClientError",
  "type": "ERR_INVALID_VALUE"
}